//*****************************************
// Photo Box with ATmega64 or Atmega2560
// CPU Clock:O16MHz Ext,Crystal 16MHz)
//   iq[Yf[^@WȂŊOUɂj
//
// File Name:infrared_h.h
//  wb_[t@C
//
//  2017/09/13 New TAB4 Taishi
//  2017/12/13 Ver 2.00 Taishi
//  2018/10/25 Modify for Fifteen IN-17 Clock Taishi
//  2019/12/30 Modify for fourteen IN-172 Clock Taishi
//  2020/09/17 Modify for six IN-16 clock Taishi
//  2020/09/24 Modify for four IN-8 clock Taishi
//  2022/02/26 Modify for four IN-4 & ZM1020 clock Taishi
//  2023/12/09 Modify for Photo Box with ATmega64 Taishi
//  2024/01/09 Modify for Photo Box with ATmega64 or ATmega2560 Taishi
//*****************************************

// Mf[^
enum INFR_DATA {
		INFR_DATA_START = '0',

		IND1_ON_NOW,			// set n߂	'1'
		IND1_ON_CONTINUE,		// set A		'2'
		IND1_OFF_SHORT,			// set Z	'3'
		IND1_OFF_LONG,			// set 	'4'
		IND2_ON_NOW,			// select n߂	'5'
		IND2_ON_CONTINUE,		// select A		'6'
		IND2_OFF_SHORT,			// select Z	'7'
		IND2_OFF_LONG,			// select 	'8'

		INFR_DATA_END,
	};

extern	unsigned short	Ginf_data;

extern	void			infrared_init(void);
extern	unsigned char	get_infrared_stat(void);
extern	unsigned char	get_infrared_data(void);
